Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QMessageHandler

    java.lang.Object
      com.trolltech.qt.core.QMessageHandler

    public abstract class QMessageHandler

extends java.lang.Object

The QMessageHandler class provides a means of receiving notifications when the C++ side of Qt Jambi enters a state where it produces warnings and debug messages and similar.

Constructor Summary
`QMessageHandler()`

Method Summary
`abstract void` | `critical(java.lang.String message)` Implement this method to be notified about critical messages
`abstract void` | `debug(java.lang.String message)` Implement this method to be notified about debug messages.
`abstract void` | `fatal(java.lang.String message)` Implement this method to be notified about fatal messages.
`static void` | `installMessageHandler(QMessageHandler handler)` Installs the specified message handler as a receiver for message notification.
`static void` | `removeMessageHandler(QMessageHandler handler)` Removes the specified message handler as a receiver for message notification.
`abstract void` | `warning(java.lang.String message)` Implement this method to be notified about warnings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QMessageHandler

    public QMessageHandler()

Method Detail

### debug

    public abstract void debug(java.lang.String message)

  Implement this method to be notified about debug messages.

### warning

    public abstract void warning(java.lang.String message)

  Implement this method to be notified about warnings.

### critical

    public abstract void critical(java.lang.String message)

  Implement this method to be notified about critical messages

### fatal

    public abstract void fatal(java.lang.String message)

  Implement this method to be notified about fatal messages. After receiving a fatal message the application will immediatly shut down.

### installMessageHandler

    public static void installMessageHandler(QMessageHandler handler)

  Installs the specified message handler as a receiver for message notification.

### removeMessageHandler

    public static void removeMessageHandler(QMessageHandler handler)

  Removes the specified message handler as a receiver for message notification.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD